/* FTIndex.h
  Structure and function definitions for FTIndex.cpp.
 */

#ifndef FTINDEX_H
#define FTINDEX_H

#define SECS_PER_MA			3.15576e13
#define SECS_PER_HOUR		3600.0
#define U238SEC 				4.91575e-18
#define U238MA					1.55125e-4
#define PI						  3.1415926535

#define	PLANCK 		 6.626e-34      /* J s-1 */
#define	BOLTZMANN  1.38063e-23  /* J K-1 */
#define	GAS_CONST	 8.31441     	/* J mol-1 K-1 */
#define	KCAL_PER_J 0.000239

#define RM_TOTAL_ANNEAL	0.41
#define RC_TOTAL_ANNEAL 0.55

#define	F_FANNING_6		  0
#define	F_FANNING_CURVE	1
#define	F_CARLSON		    2
#define	F_LAS_GAL			  3

#define D_MEAN	0
#define	D_PROJ	1

/* Time-temperature paths for Vrolijk low-temperature benchmark */
typedef struct ttPathType {
	double time,temp;
} ttPath, *ttPathPtr;

double RcToDensity(double);
double RmToDensity(double);
double TempFading(double, double *,double,double,int);
void	ClosureAndAnnealingTemp(double,double *,double,double,
										double *,double *,int);
double VrolijkLength(double *,double,double,ttPath *,int);
void CalcBenchmarks(FILE *,int,double *,char *,double,double);
void	CalcOldModelBenchmarks(void);
void  RunBenchmarks(void);

#endif